# Class CIM_AdministrativeDistance
extends CIM_LogicalElement

Information in this class affects the choice of one protocol over another, when two protocols learn the same route. Properties define the preference of a protocol, called its distance. The lower the distance, the higher the preference for that protocol. This class affects ALL routes and contains the default distances. Specific administrative distances relative to an individual route and Forwarding Service are defined in the NextHopForwardedByService association, its AdminDistance property. AdministrativeDistance, being a global object, is weak to the AdminDomain that contains it. Hence, the AdminDomain keys are propagated to this class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_AdministrativeDistance

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

Information in this class affects the choice of one protocol over another, when two protocols learn the same route. Properties define the preference of a protocol, called its distance. The lower the distance, the higher the preference for that protocol. This class affects ALL routes and contains the default distances. Specific administrative distances relative to an individual route and Forwarding Service are defined in the NextHopForwardedByService association, its AdminDistance property. AdministrativeDistance, being a global object, is weak to the AdminDomain that contains it. Hence, the AdminDomain keys are propagated to this class.

UMLPackagePath | string | CIM::Network::Routes
Version | string | 2.7.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BGPLocal | uint8 | 200
Description | string | The distance for peers using BGP locally. It has a default value of 200.
CreationClassName | string |
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
DirectConnect | uint8 | 0
Description | string | The distance for directly connected peers. It has a default value of 0.
EBGP | uint8 | 20
Description | string | The distance for peers using EBGP. It has a default value of 20.
EGP | uint8 | 140
Description | string | The distance for peers using EGP. It has a default value of 140.
EIGRPExternal | uint8 | 170
Description | string | The distance for peers using external EIGRP. It has a default value of 170.
EIGRPInternal | uint8 | 90
Description | string | The distance for peers using internal EIGRP. It has a default value of 90.
IBGP | uint8 | 200
Description | string | The distance for peers using IBGP. It has a default value of 200.
IGRP | uint8 | 100
Description | string | The distance for peers using IGRP. It has a default value of 100.
ISIS | uint8 | 115
Description | string | The distance for peers using ISIS. It has a default value of 115.
Name | string |
Description | string | This is the name of the AdministrativeDistance class.
Key | boolean | true
MaxLen | uint32 | 256
Override | string | Name
OSPF | uint8 | 110
Description | string | The distance for peers using OSPF. It has a default value of 110.
RIP | uint8 | 120
Description | string | The distance for peers using RIP. It has a default value of 120.
Static | uint8 | 1
Description | string | The distance for staticly connected peers. It has a default value of 1.
SystemCreationClassName | string |
Description | string | The scoping AdminDomain's CreationClassName.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_AdminDomain.CreationClassName
SystemName | string |
Description | string | The scoping AdminDomain's Name.
Key | boolean | true
MaxLen | uint32 | 256
Propagated | string | CIM_AdminDomain.Name
Unknown | uint8 | 255
Description | string | The distance for peers using an unknown protocol. It has a default value of 255.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
OperatingStatus | uint16 | CIM_ManagedSystemElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Status | string | CIM_ManagedSystemElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods